---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: canary
spec:
  rules:
  - host: canary.oasis.localhost
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name: canary-svc
            port:
              number: 8080
---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: canary
  name: canary-svc
spec:
  ports:
  - port: 8080
    protocol: TCP
    targetPort: 8080
  selector:
    app: canary
  type: ClusterIP
status:
  loadBalancer: {}
